# 日度成交量

`GET` `/v1/quote/option-volume-stats/daily`

獲取美股期權的歷史每日認購/認沽成交量和未平倉量數據。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 標的美股代碼，如 `AAPL.US`、`TSLA.US` |
| `timestamp` | integer | No | 起始 Unix 時間戳（秒）；`0` 返回最新數據（默認 `0`） |
| `count` | integer | No | 返回的交易日數量（默認 `30`） |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/option-volume-stats/daily?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stats` | object[] | Yes | 每日成交量記錄。 |
| `└ symbol` | string | Yes | 標的代碼，如 `AAPL.US`。 |
| `└ timestamp` | string | Yes | 記錄日期（Unix 秒）。 |
| `└ total_call_volume` | string | Yes | 當日認購成交量。 |
| `└ total_put_volume` | string | Yes | 當日認沽成交量。 |
| `└ total_call_open_interest` | string | Yes | 認購未平倉量。 |
| `└ total_put_open_interest` | string | Yes | 認沽未平倉量。 |
| `└ total_volume` | string | Yes | 期權總成交量。 |
| `└ total_open_interest` | string | Yes | 期權總未平倉量。 |
| `└ put_call_volume_ratio` | string | Yes | 認沽/認購成交量比率。 |
| `└ put_call_open_interest_ratio` | string | Yes | 認沽/認購未平倉量比率。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "symbol": "AAPL.US",
    "stats": [
      {
        "symbol": "AAPL.US",
        "date": "2026-05-07",
        "call_volume": 284512,
        "put_volume": 195830,
        "call_open_interest": 1824500,
        "put_open_interest": 1532100,
        "total_volume": 480342,
        "total_open_interest": 3356600,
        "pc_vol": 0.6886,
        "pc_oi": 0.8398
      }
    ]
  }
}
```
